import * as React from "react";
import Svg, { G, Path, Defs, ClipPath } from "react-native-svg";

const Light = (props) => {
  return (
    <Svg
      width={25}
      height={25}
      viewBox="0 0 25 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <G clipPath="url(#clip0_347_156)">
        <Path
          d="M17.136 6.482c-.019.401 0 .807-.063 1.208-.02.131-.03.26.093.372.87.79 1.268 1.818 1.461 2.945.177 1.026.118 2.05-.222 3.024-.405 1.163-1.024 2.204-2.127 2.864-.127.076-.163.154-.15.3.024.299.01.598-.04.893-.094.617.278 1.04.681 1.42a4.543 4.543 0 002.544 1.206c.88.12 1.682-.107 2.407-.61.215-.15.475-.265.451-.602-.006-.081.078-.131.155-.153.26-.073.234-.212.155-.432-.312-.87-.33-1.776-.264-2.687a5.1 5.1 0 01.255-1.329 2.9 2.9 0 01.808-1.246c.302-.269.654-.411 1.038-.276.4.141.558.5.63.903.18 1.027-.132 1.973-.51 2.895-.258.631-.499 1.277-.888 1.848a3.77 3.77 0 01-.245.32c-.063.073-.089.139-.047.235.13.298.02.545-.183.764-.08.086-.168.16-.16.293.022.407-.163.753-.357 1.084a15.7 15.7 0 01-.719 1.08 2.879 2.879 0 01-.867.797c-.693.423-1.406.786-2.193 1.023-1.924.579-3.814.41-5.723-.09-1.365-.357-2.557-1-3.637-1.883-.368-.3-.705-.632-.948-1.045-.11-.187-.22-.197-.426-.11-1.197.507-2.32-.266-2.26-1.535a.755.755 0 01.088-.332c.08-.137.057-.254.003-.384-.204-.494-.175-.96.183-1.379.1-.117.046-.187-.043-.264a.282.282 0 00-.244-.055c-.924.14-1.553-.662-1.64-1.428-.058-.512-.01-1.006.376-1.403a.329.329 0 00.079-.242c.011-.417.134-.824.355-1.178.1-.169.045-.225-.108-.297-.598-.283-1.147-.63-1.54-1.188-.463-.66-.715-1.38-.685-2.19a.779.779 0 00-.124-.491c-.606-.907-.735-1.92-.668-2.982a6.08 6.08 0 01.474-2.01c.089-.21.02-.276-.187-.332-.39-.106-.775-.233-1.152-.38A1.48 1.48 0 010 2.063C.002 1.386.92.507 1.778.976c.611.334 1.148.78 1.755 1.12.184.102.294.094.458-.03.6-.451 1.187-.922 1.865-1.263.453-.227.937-.348 1.415-.5C8.417-.062 9.593.011 10.766.038c.383.01.74.155 1.09.28.991.356 1.945.806 2.773 1.467.781.624 1.457 1.36 1.867 2.285.338.764.67 1.543.64 2.412z"
          fill={`${props.color ? props.color : "#17171B"}`}
        />
      </G>
      <Defs>
        <ClipPath id="clip0_347_156">
          <Path fill="#fff" d="M0 0H25V25H0z" />
        </ClipPath>
      </Defs>
    </Svg>
  );
};

export default Light;
